diff download.sh @ 1704:3675adfb4e36 draft

Add basic elf2flt support to simple-cross-compiler.sh and sh2eb.
author Rob Landley <rob@landley.net>
date Fri, 07 Nov 2014 08:49:26 -0600
parents 49abeb0ead62
children 427a9002ab2a
line wrap: on
line diff
--- a/download.sh	Mon Oct 27 22:00:11 2014 -0500
+++ b/download.sh	Fri Nov 07 08:49:26 2014 -0600
@@ -39,10 +39,18 @@
 # _version_ of binutils. This tarball has prebuilt release files
 # so it builds without optional dependencies such as lex and yacc.
 
-URL=http://landley.net/aboriginal/mirror/binutils-397a64b3.tar.bz2
+URL=http://landley.net/aboriginal/mirror/binutils-397a64b3.tar.bz2 \
 SHA1=f74f1ce2e62c516ba832f99a94289930be7869cf \
 maybe_fork "download || dienow"
 
+# elf2flt needed for nommu targets which can't mmap() the elf segments.
+# The upstream cvs on uclinux.org went away, and binutils uses a random
+# git repository with no tarballs.
+
+URL=http://landley.net/aboriginal/mirror/elf2flt-21c6a418.tar.gz \
+SHA1=62bcd6acefe5ea34938e9357fc2853ac1181bf10 \
+maybe_fork "download || dienow"
+
 # 4.2.1 was the last GPLv2 release of gcc
 
 URL=ftp://ftp.gnu.org/gnu/gcc/gcc-4.2.1/gcc-core-4.2.1.tar.bz2 \